GNU bug report logs - #25504
icecat language packs

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: ng0 <contact.ng0@HIDDEN>; merged with #32026; dated Sat, 21 Jan 2017 17:32:02 UTC; Maintainer for guix is bug-guix@HIDDEN.
Merged 25504 32026. Request was from Miguel Ángel Arruga Vivas <rosen644835@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 25504 <at> debbugs.gnu.org:


Received: (at 25504) by debbugs.gnu.org; 2 Dec 2020 19:30:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 02 14:30:09 2020
Received: from localhost ([127.0.0.1]:37440 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kkXpJ-0007fD-8z
	for submit <at> debbugs.gnu.org; Wed, 02 Dec 2020 14:30:09 -0500
Received: from world.peace.net ([64.112.178.59]:36214)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1kkXpH-0007dg-VE
 for 25504 <at> debbugs.gnu.org; Wed, 02 Dec 2020 14:30:08 -0500
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.92)
 (envelope-from <mhw@HIDDEN>)
 id 1kkXpB-0006iJ-KO; Wed, 02 Dec 2020 14:30:01 -0500
From: Mark H Weaver <mhw@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>, ng0 <contact.ng0@HIDDEN>
Subject: Re: bug#25504: icecat language packs
In-Reply-To: <86blfdv15f.fsf@HIDDEN>
References: <8737gcbde9.fsf@HIDDEN>
 <86blfdv15f.fsf@HIDDEN>
Date: Wed, 02 Dec 2020 14:29:08 -0500
Message-ID: <87k0u0f1ls.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 25504
Cc: Jonathan Brielmaier <jonathan.brielmaier@HIDDEN>, 25504 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

zimoun <zimon.toutoune@HIDDEN> writes:

> On Sat, 21 Jan 2017 at 16:12, ng0 <contact.ng0@HIDDEN> wrote:
>> We should include the language packages icecat provides.
>>
>> I haven't looked into this too much, and I'm not familar with
>> application localization in Guix, if there are any mechanisms in
>> place for this already.
>
> This old bug #25504 is about IceCat localization in Guix.
>
>    <http://issues.guix.gnu.org/issue/25504>
>
> The package IceCat have been updated a couple of time since 2017.  Is
> this bug still relevant?

It is still relevant.  Sometime in the last year, I briefly tried to
configure Guix's IceCat package, via its built-in preferences, to use
another language for its interface elements.  It didn't work, which is
not surprising given that Guix's IceCat package doesn't attempt to build
the language packs.

> If yes, what is the next action?  If no, feel free to close it.

Hints on how to build the language packs can be found in the following
build script, although I don't know that it's been tested with IceCat
78, and possibly not even in IceCat 68:

  https://git.savannah.gnu.org/cgit/gnuzilla.git/tree/data/buildscripts/build-gnulinux.sh?id=bcfe407570cae32d00dd33a268de0e0593166f7b

In order to fix this, a new phase, or alternatively a new set of
packages, would need to be added to build the language packs.  There may
be additional complications caused by the fact that, if I recall
correctly, Firefox language packs must now be digitally signed by
Mozilla.  Those signature checks would need to be disabled for language
packs bundled with IceCat, as Guix (and Debian) already does for
extensions in system directories.

If someone would like to work on this, it would be a most welcome
contribution.

      Mark




Information forwarded to bug-guix@HIDDEN:
bug#25504; Package guix. Full text available.

Message received at 25504 <at> debbugs.gnu.org:


Received: (at 25504) by debbugs.gnu.org; 1 Dec 2020 18:24:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 01 13:24:15 2020
Received: from localhost ([127.0.0.1]:33257 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kkAJz-0006Ma-9o
	for submit <at> debbugs.gnu.org; Tue, 01 Dec 2020 13:24:15 -0500
Received: from mail-wm1-f44.google.com ([209.85.128.44]:55375)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1kkAJv-0006MK-9O
 for 25504 <at> debbugs.gnu.org; Tue, 01 Dec 2020 13:24:13 -0500
Received: by mail-wm1-f44.google.com with SMTP id x22so5433502wmc.5
 for <25504 <at> debbugs.gnu.org>; Tue, 01 Dec 2020 10:24:11 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=l8FE8Ci89BBWLPlAwCJKQDYt6sjPrD5IagxQ9H5hZFQ=;
 b=VM6iGJ+pm+66rWs8XdN7Lym/tLJ7xVk91L9db0JXFFXYAkAtqD4dYcoRU1mwF0FT2X
 qO6OVOJBqXh08X39yT6dai4idBPv+WMBcrMHCW95jG8FFuy8d38VTjZ/QJLxy6fP/vCn
 RdP19Si32sq4bHpe85Lg3dJxg670PeiGlBUO20JwlfxMgfCnCu/u9Zu0HGMeHf3+UrD+
 Ve49m/TeRx1npCxv+//fNQ/8pad5tffNcgAOZU+VLRTlefMAuI56j0LvUxYnyf6sYx9N
 xuz2SRuuzqPHLrkQIUjTRD5Cqn7eo3V8b21fse5953Kg1a8aDNQiE3IKgmuG/rNAoMAn
 bgnQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=l8FE8Ci89BBWLPlAwCJKQDYt6sjPrD5IagxQ9H5hZFQ=;
 b=ltG/VcfAcmTRQnYnu1qzvcN3//Vlx2F6sTMlLZ2i8o4Rbyp1LeNs2ZBTufeQnuR0Rr
 xwsqNxucbNyODXvaxoFthKcJQwWolFrlorE4hOXLWJsTsypRIPXf9+G4JoRyHiw5BALa
 mwwW+SV7pGULE5uSvxrXekAkQ3hYXaFf0iZ3sF+BYaWMLc4JbP0ChCvJ6whqzRbm2riX
 C3LPS2AckIZIPoPlwsCG1HcsOtViR9MLr/pTH0ay/tSzN+WfWSFGKmZF8cN+4VW5dZWR
 Vek+1p9u2eLuem4TbBHd9EaxoV3sMkqezFVCysUlU3/cXx0dBeb1WzVMdpbOxyXa2jKM
 eNig==
X-Gm-Message-State: AOAM530jI/gAESeyMnC0Q1thAHbOftx29f5DpWYHfYylzlRHPfbe5BcC
 x4SfGketIftk6oJqF6CMrhg=
X-Google-Smtp-Source: ABdhPJyQR8MM9ijL5P77ok4OELt4Qv/9zzHnlqV4iUTUt9uSAM30QsH0HY8N/GVnQZmPnp+PDKrZ1Q==
X-Received: by 2002:a7b:c7d8:: with SMTP id z24mr3979538wmk.1.1606847045323;
 Tue, 01 Dec 2020 10:24:05 -0800 (PST)
Received: from lili ([2a01:e0a:59b:9120:65d2:2476:f637:db1e])
 by smtp.gmail.com with ESMTPSA id j4sm564161wrn.83.2020.12.01.10.24.04
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 01 Dec 2020 10:24:04 -0800 (PST)
From: zimoun <zimon.toutoune@HIDDEN>
To: ng0 <contact.ng0@HIDDEN>
Subject: Re: bug#25504: icecat language packs
References: <8737gcbde9.fsf@HIDDEN>
Date: Tue, 01 Dec 2020 19:20:28 +0100
In-Reply-To: <8737gcbde9.fsf@HIDDEN>
 (ng0's message of "Sat, 21 Jan 2017 16:12:30 +0000")
Message-ID: <86blfdv15f.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 25504
Cc: Jonathan Brielmaier <jonathan.brielmaier@HIDDEN>, 25504 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

On Sat, 21 Jan 2017 at 16:12, ng0 <contact.ng0@HIDDEN> wrote:
> We should include the language packages icecat provides.
>
> I haven't looked into this too much, and I'm not familar with
> application localization in Guix, if there are any mechanisms in
> place for this already.

This old bug #25504 is about IceCat localization in Guix.

   <http://issues.guix.gnu.org/issue/25504>

The package IceCat have been updated a couple of time since 2017.  Is
this bug still relevant?

If yes, what is the next action?  If no, feel free to close it.


All the best,
simon





Information forwarded to bug-guix@HIDDEN:
bug#25504; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Jan 2017 17:31:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 21 12:31:40 2017
Received: from localhost ([127.0.0.1]:37702 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cUzVs-0005gR-45
	for submit <at> debbugs.gnu.org; Sat, 21 Jan 2017 12:31:40 -0500
Received: from eggs.gnu.org ([208.118.235.92]:52853)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contact.ng0@HIDDEN>) id 1cUyGM-0003p6-C9
 for submit <at> debbugs.gnu.org; Sat, 21 Jan 2017 11:11:35 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <contact.ng0@HIDDEN>) id 1cUyGG-0005Om-52
 for submit <at> debbugs.gnu.org; Sat, 21 Jan 2017 11:11:29 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:60898)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <contact.ng0@HIDDEN>)
 id 1cUyGG-0005OZ-1M
 for submit <at> debbugs.gnu.org; Sat, 21 Jan 2017 11:11:28 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:43818)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <contact.ng0@HIDDEN>) id 1cUyGE-0007NB-JZ
 for bug-guix@HIDDEN; Sat, 21 Jan 2017 11:11:27 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <contact.ng0@HIDDEN>) id 1cUyGB-0005LF-DV
 for bug-guix@HIDDEN; Sat, 21 Jan 2017 11:11:26 -0500
Received: from perdizione.investici.org ([2001:41d0:2:33d0::19]:30989)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <contact.ng0@HIDDEN>)
 id 1cUyGB-0005K0-3e
 for bug-guix@HIDDEN; Sat, 21 Jan 2017 11:11:23 -0500
Received: from [94.23.50.208] (perdizione [94.23.50.208]) (Authenticated
 sender: niasterisk@HIDDEN) by localhost (Postfix) with ESMTPSA id
 24B101200E3
 for <bug-guix@HIDDEN>; Sat, 21 Jan 2017 16:11:21 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=cryptolab.net;
 s=stigmate; t=1485015081;
 bh=uW0ld3zR/ZQm6nj0oouYMrosv32LozYcwpJl9vtOyUA=;
 h=From:To:Subject:Date;
 b=QWcKsg7Bkv+zOPqdrDPrJ/6WwUqJkm6bpxQcKkbneH7JkPrRSbcZuTfSrtM6dNZql
 NnGAy96dFXDJlGa0xvSZjv1H8GqNudlbXHF3xkL+KwcIzBeQRhddXgV2f4gP6mvyZY
 /UYxBUVp3mxIgVrBA+EZfc1Q2lS8DvaamnnbXDao=
From: ng0 <contact.ng0@HIDDEN>
To: bug-guix@HIDDEN
Subject: icecat language packs
Date: Sat, 21 Jan 2017 16:12:30 +0000
Message-ID: <8737gcbde9.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 21 Jan 2017 12:31:38 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.1 (----)

We should include the language packages icecat provides.

I haven't looked into this too much, and I'm not familar with
application localization in Guix, if there are any mechanisms in
place for this already.
--=20
=E2=99=A5=E2=92=B6  ng0 -- https://www.inventati.org/patternsinthechaos/




Acknowledgement sent to ng0 <contact.ng0@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#25504; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 11 Dec 2020 14:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.